Summary: A configuration tool for setting traffic bandwidth parameters.
Name: shapecfg
Version: 2.0.36
Release: 4
Copyright: GPL
Group: System Environment/Base
Source: shaper.36.tar.gz
Source1: README.shaper
Patch: shapercfg-2.0.36-glibc.patch
Buildroot: /var/tmp/shaper-root
Requires: kernel >= 2.0.36
ExclusiveArch: i386

%description
The Shapecfg program configures and adjusts traffic shaper
bandwidth limiters. Traffic shaping means setting parameters
to which traffic should conform - setting the standards for
bandwidth consumption.

To use Shapecfg, you must have also installed the kernel which
supports the shaper module (kernel versions 2.0.36 or later and
late 2.1.x kernels).

Install the shapecfg package if you want to set traffic
bandwidth parameters, and if you have the appropriate
kernel.

%prep
%setup -q -n shaper
%patch0 -p1 -b .glibc

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/sbin
install -s -m 755 shapecfg $RPM_BUILD_ROOT/sbin/shapecfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc $RPM_SOURCE_DIR/README.shaper
%defattr(-,root,root)
/sbin/shapecfg


%changelog
* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added some documentation.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb  3 1999 Bill Nottingham <notting@redhat.com>
- build against glibc2.1

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- exclusive arch i386 for now
